#ifndef FRACTALLANDHEIGHTS_H
#define FRACTALLANDHEIGHTS_H


#include <cstdlib>
#include <iostream>
#include <ctime>

#include "Angel.h"

#include <iostream>
using std::cout;

class FractalLandHeights
{
    public:
        FractalLandHeights();
        FractalLandHeights(int s); // the gridsize will be s^2
        virtual ~FractalLandHeights();
        void makeTerrain();
        void printHeights();
        GLfloat *heights;
        float getH(int i, int j) ;
        int gridSize;
    protected:
    private:
        int index(int row, int col) ;
        float getRand(int inc);
        void scaleH();
        vec4 getColor(float ht);
};

#endif // FRACTALLANDHEIGHTS_H
